org.apache.lucene.analysis.ja.tokenattributes

## Interface PartOfSpeechAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    PartOfSpeechAttributeImpl

      public interface PartOfSpeechAttribute
      extends Attribute

  Attribute for `Token.getPartOfSpeech()`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPartOfSpeech()`
    `void` | `setToken(Token token)`

- - ### Method Detail

    - #### getPartOfSpeech

          String getPartOfSpeech()

    - #### setToken

          void setToken(Token token)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.